# Contributing to Recoil
We want to make contributing to this project as easy and transparent as
possible.

## Our Development Process
Some people will be working directly on GitHub. These changes will be public from the beginning. Other changesets will come via a bridge with Facebook's internal source control. This is a necessity as it allows engineers at Facebook outside of the core team to move fast and contribute from an environment they are comfortable in.

## The `master` Branch is Unsafe
We will do our best to keep master in good shape, with tests passing at all times. But we will sometimes make API changes that your application might not be compatible with. We will do our best to communicate these changes and always version appropriately so you can lock into a specific version if need be.

## Pull Requests
We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints and is formatted with `prettier`.
6. If you haven't already, complete the Contributor License Agreement ("CLA").

## Getting in Touch

Please file issues liberally. That's the easiest way to contact us in a way that
ensures everyone working on Recoil can see it. We are eager for your questions, input, and to hear about your experience.

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only need
to do this once to work on any of Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

Facebook has a [bounty program](https://www.facebook.com/whitehat/) for the safe
disclosure of security bugs. In those cases, please go through the process
outlined on that page and do not file a public issue.

## License
By contributing to Recoil, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
